---
title: XRInputSourcesChangeEvent.removed
slug: Web/API/XRInputSourcesChangeEvent/removed
tags:
  - API
  - AR
  - Input Sources
  - Inputs
  - Mixed
  - Property
  - Read-only
  - Reality
  - Reference
  - VR
  - Virtual
  - WebXR
  - WebXR API
  - WebXR Device API
  - XR
  - XRInputSourcesChangeEvent
  - augmented
  - controllers
  - removed
---
<p>{{APIRef("WebXR Device API")}} {{SecureContext_Header}}</p>

<p><span class="seoSummary">The read-only {{domxref("XRInputSourcesChangeEvent")}} property {{domxref("XRInputSourcesChangeEvent.removed", "removed")}} is an array of zero or more {{domxref("XRInputSource")}} objects representing the input sources which have been removed from the {{domxref("XRSession")}}.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>removedInputs</em> = <em>xrInputSourcesChangeEvent</em>.removed;</pre>

<h3 id="Value">Value</h3>

<p>An {{jsxref("Array")}} of zero or more {{domxref("XRInputSource")}} objects, each representing one input device removed from the XR system.</p>

<h2 id="Examples">Examples</h2>

<p>{{page("/en-US/docs/Web/API/XRInputSourcesChangeEvent/added", "Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebXR","#dom-xrinputsourceschangeevent-removed","XRInputSourcesChangeEvent.removed")}}</td>
   <td>{{Spec2("WebXR")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.XRInputSourcesChangeEvent.removed")}}</div>
